FROM openshift/golang-builder:1.13 AS build
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e1bb6a3 OS_GIT_VERSION=4.4.0-202007060343.p0-e1bb6a3 SOURCE_DATE_EPOCH=1564009631 SOURCE_GIT_COMMIT=e1bb6a3d525867b007e1853b7fc5516230156ccb SOURCE_GIT_TAG=v1.4.1-12-ge1bb6a3 SOURCE_GIT_URL=https://github.com/kube-reporting/ghostunnel 

COPY . /go/src/github.com/square/ghostunnel

RUN CGO_ENABLED=0 go build -tags nopkcs11 -o /usr/bin/ghostunnel github.com/square/ghostunnel

FROM openshift/ose-base:v4.4.0.20200706.034325
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e1bb6a3 OS_GIT_VERSION=4.4.0-202007060343.p0-e1bb6a3 SOURCE_DATE_EPOCH=1564009631 SOURCE_GIT_COMMIT=e1bb6a3d525867b007e1853b7fc5516230156ccb SOURCE_GIT_TAG=v1.4.1-12-ge1bb6a3 SOURCE_GIT_URL=https://github.com/kube-reporting/ghostunnel 

COPY --from=build /usr/bin/ghostunnel /usr/bin/ghostunnel

ENTRYPOINT ["/usr/bin/ghostunnel"]

LABEL \
        name="openshift/ose-ghostunnel" \
        com.redhat.component="ghostunnel-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Metering Operator" \
        release="202007060343.p0" \
        io.openshift.build.commit.id="e1bb6a3d525867b007e1853b7fc5516230156ccb" \
        io.openshift.build.source-location="https://github.com/kube-reporting/ghostunnel" \
        io.openshift.build.commit.url="https://github.com/kube-reporting/ghostunnel/commit/e1bb6a3d525867b007e1853b7fc5516230156ccb" \
        version="v4.4.0"

